# Assignment display

## Change assignment display

You can modify how the assignment section is displayed to learners using the Web UI or CLI.

{% tabs %}
{% tab title="🌐 Web UI" %}

1. Select the track you wish to modify the assignment display settings for.
2. In the **Settings** section, click **Edit**.
3. Click **Additional settings**.
4. In the *Layout settings* section, select the settings you wish to apply to your track.
   * Starting position (left or right)
   * Starting width (33% → 75%)
   * Toggle assignment view on/off
5. Click **Save**.
   {% endtab %}

{% tab title="💻 Instruqt CLI" %}

1. If you have not already done so, pull the track you wish to modify the assignment display settings of:

   ```bash
   instruqt track pull <track-slug>
   ```
2. Open the `track.yml` file and edit `default_layout`, `default_layout_sidebar_size` or `override_challenge_layout` parameters.

   ```yaml
   lab_config:
       default_layout:
       default_layout_sidebar_size:
       override_challenge_layout: 
   ```

   As an example, the file might look like the following:

   ```yaml
   slug: example-track
   id: xnlauwy2zewf
   title: Example Track
   teaser: Get started with Ubuntu!
   owner: instruqt-demos
   developers:
   - jacob@instruqt.com
   timelimit: 3600
   lab_config:
     default_layout: AssignmentLeft
     default_layout_sidebar_size: 50
     override_challenge_layout: false
     extend_ttl: 600
     sidebar_enabled: true
     loadingMessages: true
   idle_timeout: 300
   ```
3. From within the track directory, push the update to Instruqt:

   ```yaml
   instruqt track push     
   ```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.instruqt.com/tracks/challenges/assignment-display-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
